export declare const componentIdFields: import("@apollo/client").DocumentNode;
export declare const componentOverviewFields: import("@apollo/client").DocumentNode;
export declare const componentFields: import("@apollo/client").DocumentNode;
export declare const componentFieldsWithLogs: import("@apollo/client").DocumentNode;
export declare const COMPONENT_QUERY_LOG_FIELDS = "\n  $logOffset: Int\n  $logLimit: Int\n  $logType: String\n  $logHead: String\n  $logSort: String\n  $logTakeHeadFromComponent: Boolean\n";
export declare const GET_COMPONENT: import("@apollo/client").DocumentNode;
export declare const GET_COMPONENT_WITH_LOGS: import("@apollo/client").DocumentNode;
export declare const SUB_SUBSCRIPTION_ADDED: import("@apollo/client").DocumentNode;
export declare const SUB_COMPONENT_CHANGED: import("@apollo/client").DocumentNode;
export declare const SUB_COMPONENT_REMOVED: import("@apollo/client").DocumentNode;
